Bug 1120882 - Review Request: golang-googlecode-gogoprotobuf - A fork of goprotobuf with several extra features
Summary: Review Request: golang-googlecode-gogoprotobuf - A fork of goprotobuf with se...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1047194
TreeView+ depends on / blocked
 
Reported: 2014-07-17 22:00 UTC by Colin Walters
Modified: 2015-03-08 22:46 UTC (History)
6 users (show)

Fixed In Version: golang-googlecode-gogoprotobuf-0-0.10.gitbc946d0.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-22 10:13:39 UTC
lsm5: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
tweaks on spec (6.94 KB, patch)
2014-07-26 02:58 UTC, Vincent Batts
no flags Details | Diff

Description Colin Walters 2014-07-17 22:00:59 UTC
Spec URL: https://github.com/projectatomic/golang-googlecode-gogoprotobuf-package
Fedora Account System Username: walters

Note: this is a fork of golang-googlecode-goprotobuf

Comment 1 Troy Dawson 2014-07-25 21:13:19 UTC
Hi,
I'd like to do this review.  I haven't been able to get a full fedora-review to run against this, but building things by hand and running rpmlint brings up a few places to start.

- Spec URL - Please point it to the actual spec file
- SRPM URL - missing, please provide
- Description - missing, not as important as the previous two.

- Source:
-- You don't have to tar it up by hand.  You can have the source be
Source0:    https://gogoprotobuf.googlecode.com/archive/%{commit}.tar.gz
-- Setup would then be
%setup -q -n gogoprotobuf-%{shortcommit}

- Changelog:
-- There is no version in the changelog, should be
* Thu Jul 17 2014 Colin Walters <walters@verbum.org> 0.7.gitd228c1a

Comment 2 Vincent Batts 2014-07-26 02:58:27 UTC
Created attachment 921098 [details]
tweaks on spec

Comments about the attached patch:
* remove macro boilerplate
* fix arches for devel and exclusive arch
* add version to golang
* include all the rest of the libraries that are required
* publish the import'able paths as Provides

Comment 3 Vincent Batts 2014-07-28 15:02:19 UTC
(In reply to Troy Dawson from comment #1)
> Hi,
> I'd like to do this review. 

Sorry, I didn't see your comment since I didn't refresh the page. Feel free to take the review. You're welcome to review my comments as well ;-)

Comment 4 Troy Dawson 2014-07-28 15:32:08 UTC
(In reply to Vincent Batts from comment #3)
> (In reply to Troy Dawson from comment #1)
> > Hi,
> > I'd like to do this review. 
> 
> Sorry, I didn't see your comment since I didn't refresh the page. Feel free
> to take the review. You're welcome to review my comments as well ;-)

After reviewing your comments, I think you know more packaging the golang packages than I.  I'll let you take it.

Comment 5 Jan Chaloupka 2014-09-11 08:21:57 UTC
Hi, Colin,

from spec file:13
# I produced this tarball with "git archive"
Source0:        %{name}-%{commit}.tar.gz

can you give a rationale for this? Eventually a sequence of commands used to create this archive?

Thanks

Comment 6 Jan Chaloupka 2014-09-16 12:32:21 UTC
Now I see, there is no release, thus no valid source address

Pull request with changes from Vincent and rpmlint created.

Eric:

https://github.com/projectatomic/golang-googlecode-gogoprotobuf-package/pull/1

Comment 7 Jan Chaloupka 2014-09-16 12:52:29 UTC
Thanks Troy,

Source0:    https://gogoprotobuf.googlecode.com/archive/%{commit}.tar.gz

applied.

Comment 8 Jan Chaloupka 2014-09-16 15:08:02 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-googlecode-gogoprotobuf/golang-googlecode-gogoprotobuf.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-googlecode-gogoprotobuf/golang-googlecode-gogoprotobuf-0-0.7.gitd228c1a.fc21.src.rpm

Description: A fork of goprotobuf with several extra features

$ rpmlint /root/rpmbuild/SRPMS/golang-googlecode-gogoprotobuf-0-0.7.gitd228c1a.fc21.src.rpm /root/rpmbuild/RPMS/x86_64/golang-googlecode-gogoprotobuf-0-0.7.gitd228c1a.fc21.x86_64.rpm /root/rpmbuild/RPMS/x86_64/golang-googlecode-gogoprotobuf-devel-0-0.7.gitd228c1a.fc21.x86_64.rpm golang-googlecode-gogoprotobuf.spec 
golang-googlecode-gogoprotobuf.src: W: spelling-error Summary(en_US) goprotobuf -> protoplasm
golang-googlecode-gogoprotobuf.src: W: spelling-error %description -l en_US goprotobuf -> protoplasm
golang-googlecode-gogoprotobuf.x86_64: W: spelling-error Summary(en_US) goprotobuf -> protoplasm
golang-googlecode-gogoprotobuf.x86_64: W: spelling-error %description -l en_US goprotobuf -> protoplasm
golang-googlecode-gogoprotobuf.x86_64: W: unstripped-binary-or-object /usr/bin/protoc-gen-gogo
golang-googlecode-gogoprotobuf.x86_64: E: statically-linked-binary /usr/bin/protoc-gen-gogo
golang-googlecode-gogoprotobuf.x86_64: W: no-manual-page-for-binary protoc-gen-gogo
golang-googlecode-gogoprotobuf-devel.x86_64: W: spelling-error Summary(en_US) goprotobuf -> protoplasm
golang-googlecode-gogoprotobuf-devel.x86_64: W: spelling-error %description -l en_US goprotobuf -> protoplasm
3 packages and 1 specfiles checked; 1 errors, 8 warnings.

Initial commit by Colin Walters

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=7592027

Package was not building on noarch architecture in koji, removed noarch from ExclusiveArch

Comment 10 Lokesh Mandvekar 2014-09-19 17:16:38 UTC
LGTM.

Specfile follows golang package draft guidelines: https://fedoraproject.org/wiki/PackagingDrafts/Go

Comment 11 Jan Chaloupka 2014-09-19 17:26:30 UTC
New Package SCM Request
=======================
Package Name: golang-googlecode-gogoprotobuf
Short Description: A fork of goprotobuf with several extra features
Upstream URL: https://code.google.com/p/gogoprotobuf/
Owners: jchaloup lsm5 vbatts
Branches: f21 f20 f19 el6
InitialCC: golang-sig

Comment 12 Gwyn Ciesla 2014-09-19 19:10:31 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2014-09-22 10:09:08 UTC
golang-googlecode-gogoprotobuf-0-0.8.gitd228c1a.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-googlecode-gogoprotobuf-0-0.8.gitd228c1a.fc21

Comment 14 Fedora Update System 2014-09-22 10:12:49 UTC
golang-googlecode-gogoprotobuf-0-0.8.gitd228c1a.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-googlecode-gogoprotobuf-0-0.8.gitd228c1a.fc20

Comment 15 Troy Dawson 2014-09-22 15:57:26 UTC
Package Change Request
======================
Package Name: golang-googlecode-gogoprotobuf
New Branches: epel7
Owners: tdawson

Comment 16 Gwyn Ciesla 2014-09-23 12:14:54 UTC
Git done (by process-git-requests).

Comment 17 Fedora Update System 2014-10-01 04:24:54 UTC
golang-googlecode-gogoprotobuf-0-0.8.gitd228c1a.fc21 has been pushed to the Fedora 21 stable repository.

Comment 18 Fedora Update System 2014-10-14 04:40:02 UTC
golang-googlecode-gogoprotobuf-0-0.8.gitd228c1a.fc20 has been pushed to the Fedora 20 stable repository.

Comment 19 Fedora Update System 2015-02-15 23:15:55 UTC
golang-googlecode-gogoprotobuf-0-0.10.gitbc946d0.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-googlecode-gogoprotobuf-0-0.10.gitbc946d0.fc20

Comment 20 Fedora Update System 2015-02-15 23:16:19 UTC
golang-googlecode-gogoprotobuf-0-0.10.gitbc946d0.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-googlecode-gogoprotobuf-0-0.10.gitbc946d0.fc21

Comment 21 Fedora Update System 2015-02-15 23:18:05 UTC
golang-googlecode-gogoprotobuf-0-0.10.gitbc946d0.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-googlecode-gogoprotobuf-0-0.10.gitbc946d0.el6

Comment 22 Fedora Update System 2015-02-25 13:24:52 UTC
golang-googlecode-gogoprotobuf-0-0.10.gitbc946d0.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2015-02-25 13:30:25 UTC
golang-googlecode-gogoprotobuf-0-0.10.gitbc946d0.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2015-03-08 22:46:38 UTC
golang-googlecode-gogoprotobuf-0-0.10.gitbc946d0.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.